# Class Authorization

java.lang.Object
org.apache.tomcat.util.http.parser.Authorization

public class Authorization extends Object
Parser for an "Authorization" header.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Map<String,String>`
  `parseAuthorizationDigest(StringReader input)`
  Parses an HTTP Authorization header for DIGEST authentication as per RFC 2617 section 3.2.2.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parseAuthorizationDigest

    public static Map<String,String> parseAuthorizationDigest(StringReader input) throws IllegalArgumentException, IOException
    Parses an HTTP Authorization header for DIGEST authentication as per RFC 2617 section 3.2.2.
    Parameters:
      `input` - The header value to parse
    Returns:
      A map of directives and values as `String`s or `null` if a parsing error occurs. Although the values returned are `String`s they will have been validated to ensure that they conform to RFC 2617.
    Throws:
      `IllegalArgumentException` - If the header does not conform to RFC 2617
      `IOException` - If an error occurs while reading the input